質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.12%

CentOS7にて、phpMyAdminのインストールが出来ない

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 143

aae_11

score 52

virtualボックスを立ち上げ、centosを立ち上げ、vagrantにて、ログインを行いました。
phpや、apache,mysqlのダウンロードはうまくいったのですが、phpmyadminのインストールがうまくいきません。
以下のようなコマンドをvagrantにログインした状態で、入力したのですが、エラーが発生してしまいました。

sudo yum install -y --enablerepo=remi-php73 phpMyAdmin

エラー内容は下記の通りです。
イメージ説明

エラー内容で調べました所、こちらの質問に内容が似ていたのですが、色々と勝手に削除してしまってはまずいと思い、新たに質問を立てさせて貰いました。
centosは7をインストールしています。
解決の方法につきまして、ご助言いただけましたら、幸いです。
よろしくお願いします。

追記

rpm -qa | grep remi", "yum history

上記コマンドの実行結果は以下になります。
![イメージ説明

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • TaichiYanagiya

    2019/10/11 17:01

    remi 関連を一旦アンインストールした方がいいかもしれません。
    "rpm -qa | grep remi", "yum history" コマンドの出力結果を、質問を編集して追記ください。

    キャンセル

  • asahina1979

    2019/10/11 18:08

    remi リポジトリをインストールしなおしてね

    キャンセル

  • aae_11

    2019/10/11 18:25 編集

    >TaichiYanagiyaさん
    追記しました

    キャンセル

  • asahina1979

    2019/10/11 20:16

    VMだから構築からやり直しでいいと思うぞ

    キャンセル

回答 2

checkベストアンサー

0

.el6 が含まれるものはCentOS6用のrpmファイルですので、
Remiリポジトリを追加した際、誤ってCentOS6用のものを追加してしまっているのかと思います。

sudo yum repolist --enablerepo=remi-php73

でリポジトリ一覧が確認できますので、Enterprise Linux 6と書かれているリポジトリがないか確認して
みてください。


リポジトリを誤って追加していた場合、他にも違うバージョンのものを入れてしまっている可能性があるので、

  1. yum list installed | grep el6 で見つかったパッケージを
    yum remove パッケージ名で削除する
  2. リポジトリを正しく設定しなおして、再度yum installでインストールする

といった手順が必要になります。

Vagrant使っているなら環境を作り直したほうが早いかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/10/15 08:45

    ご回答ありがとうございます。
    >yum list installed | grep el6 で見つかったパッケージを
    yum remove パッケージ名で削除する
    こちらの手順で、表示されたパッケージを削除し、phpmyadminを再インストールを試みましたら、無事成功しました。
    ご丁寧に、ありがとうございました。

    キャンセル

-1

要求されている gd-last-2.2.5-5.el6.remi.x86_64 が名前からcentos6向けになってしまっているのがおかしいですね。

remi-php73リポジトリに「php-gd-7.3.10-1.el7.remi.x86_64」パッケージがありますので、まずは個別にこちらをインストールしてみてはいかがでしょうか。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/10/11 18:10

    最初の構築時のリポジトリ設定で el6 用をえらんでるから 、今のリポジトリでは該当ファイルはないよ

    キャンセル

  • 2019/10/11 18:56

    >yukky1201さん
    https://umebius.com/dev/ec2amazonlinux%E3%81%A7php71-gd%E3%81%8C%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88%E3%83%BC%E3%83%AB%E3%81%A7%E3%81%8D%E3%81%AA%E3%81%84%E5%A0%B4%E5%90%88%E3%81%AE%E5%AF%BE%E5%87%A6%E6%B3%95/
    こちらのサイトで合っていましたでしょうか?
    リンク先サイトに提示されていました「yum remove libwebp」を実行しましたが、以下のように表示されてしまいました。
    「読み込んだプラグイン:fastestmirror
    引数に一致しません: libwebp
    削除対象とマークされたパッケージはありません。」
    そして、「yum –disablerepo=amzn-main –enablerepo=epel install libwebp」と入力しましたが、以下のように表示が出るだけで、インストールが行われませんでした...
    「読み込んだプラグイン:fastestmirror」

    キャンセル

  • 2019/10/14 02:13

    サイトは御覧のところであってます。
    やることを参考にしたほしかったので、コマンドはそれぞれの環境にあわせて参考にして実行してください。

    –disablerepo=amzn-main はサイトの方のEC2(AmazonLinux)環境だからなので、aae_11さんの場合は不要です。必要なものは環境を理解して適宜指定しましょう。

    現状ですが、リポジトリのキャッシュあたりも怪しいので、一度 yum clean all してみてはどうでしょうか。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる